package com.supplier.service;

import com.supplier.model.SupplierRelease;
import com.supplier.model.SupplierReleaseDay;
import com.supplier.model.SupplierReleasePlay;

import java.util.List;

public interface SupplierReleaseService{
    void addRelease(SupplierRelease supplierRelease);

    void addReleaseDay(SupplierReleaseDay supplierReleaseDay);

    void addReleasePlay(SupplierReleasePlay supplierReleasePlay);

    List<SupplierRelease> getSupplierRelease(SupplierRelease supplierRelease);

    List<SupplierReleaseDay> getSupplierReleaseDay(String uuid);

    List<SupplierReleasePlay> getSupplierReleasePlay(String uuid);

    void updateSupplierRelease(SupplierRelease supplierRelease);

    void addPrivateType(SupplierRelease supplierRelease);

    void updatePrivateType(SupplierRelease supplierRelease);
}
